Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ConnectorServiceRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface ConnectorServiceRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface defines the runtime information that can be accessed at a connector service level. Runtime information can be accessed at a per resource adapter level or at an overall level.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  6.1.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getActiveRACount()` Returns the number of resource adapters that are active.
`weblogic.management.runtime.ConnectorComponentRuntimeMBean[]` | `getActiveRAs()` Returns an array of runtime information for all deployed and active resource adapters.
`ConnectorConnectionPoolRuntimeMBean` | `getConnectionPool(String key)` Deprecated.
`int` | `getConnectionPoolCurrentCount()` Deprecated.
`ConnectorConnectionPoolRuntimeMBean[]` | `getConnectionPools()` Deprecated.
`int` | `getConnectionPoolsTotalCount()` Deprecated.
`weblogic.management.runtime.ConnectorComponentRuntimeMBean[]` | `getInactiveRAs()` Returns an array of runtime information for all deployed and inactive resource adapters.
`weblogic.management.runtime.ConnectorInboundRuntimeMBean[]` | `getInboundConnections(String messageListenerType)` Returns runtime information for the specified inbound connection.
`weblogic.management.runtime.ConnectorComponentRuntimeMBean` | `getRA(String key)` Returns the runtime information of the resource adapter specified by the given JNDI name.
`int` | `getRACount()` Returns the number of resource adapters that have been deployed in the server.
`weblogic.management.runtime.ConnectorComponentRuntimeMBean[]` | `getRAs()` Returns an array of runtime information for all deployed resource adapters.
`void` | `resume(int type)` Resumes the specified type of activity for all RAs.
`void` | `resume(int type, Properties props)` Resumes the specified type of activity for all RAs
`void` | `resumeAll()` Resumes all activities of all resource adapters.
`void` | `resumeAll(Properties props)` Resumes all activities of all resource adapters.
`void` | `suspend(int type)` Suspends the specified type of activity for all RAs.
`void` | `suspend(int type, Properties props)` Suspends the specified type of activity for all RAs
`void` | `suspendAll()` Suspends all activities of all resource adapters.
`void` | `suspendAll(Properties props)` Suspends all activities of all resource adapters.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getActiveRACount

    public int getActiveRACount()

  Returns the number of resource adapters that are active.

  Returns:
    Resource adapter current count.

### getActiveRAs

    public weblogic.management.runtime.ConnectorComponentRuntimeMBean[] getActiveRAs()

  Returns an array of runtime information for all deployed and active resource adapters.

  Returns:
    An array of ConnectorComponentRuntimeMBean objects.

### getConnectionPool

    public ConnectorConnectionPoolRuntimeMBean getConnectionPool(String key)

  Deprecated.

  Returns a ConnectorConnectionPoolRuntimeMBean that represents the statistics for a Deployed Connection Pool (a deployed connection pool is equivalent to a deployed RAR).

  Returns:
    The connectionPool's value

### getConnectionPoolCurrentCount

    public int getConnectionPoolCurrentCount()

  Deprecated.

  Returns the number of connection pools in all active RAs.

  Returns:
    The connectionPoolCurrentCount value

### getConnectionPools

    public ConnectorConnectionPoolRuntimeMBean[] getConnectionPools()

  Deprecated.

  Returns connection pool runtimes for all active resource adapters.

  Returns:
    The connectionPools value

### getConnectionPoolsTotalCount

    public int getConnectionPoolsTotalCount()

  Deprecated.

  Returns the number of resource adapter connection pools that have been created since server start up. This includes re-deployments.

  Returns the total number of deployed connection pools instantiated since the Server startup.

  Returns:
    Total number of connection pools.

### getInactiveRAs

    public weblogic.management.runtime.ConnectorComponentRuntimeMBean[] getInactiveRAs()

  Returns an array of runtime information for all deployed and inactive resource adapters.

  Returns:
    An array of ConnectorComponentRuntimeMBean objects.

### getInboundConnections

    public weblogic.management.runtime.ConnectorInboundRuntimeMBean[] getInboundConnections(String messageListenerType)

  Returns runtime information for the specified inbound connection. A null is returned if the inbound connection is not found.

  Parameters:
    `messageListenerType` - Message listener type.
  Returns:
    ConnectorInboundRuntimeMBean[].

### getRA

    public weblogic.management.runtime.ConnectorComponentRuntimeMBean getRA(String key)

  Returns the runtime information of the resource adapter specified by the given JNDI name. A null is returned if the resource adapter cannot be found. This function returns the active RA if multiple versions of the resource adapters has been deployed

  Returns:
    A ConnectorComponentRuntimeMBean object representing the resource adapter.

### getRACount

    public int getRACount()

  Returns the number of resource adapters that have been deployed in the server. This count includes active RAs and Non-active RAs ( in the case of versioned RAs that are being replced by a new version )

  Returns:
    Resource adapter total count.

### getRAs

    public weblogic.management.runtime.ConnectorComponentRuntimeMBean[] getRAs()

  Returns an array of runtime information for all deployed resource adapters.

  Returns:
    An array of ConnectorComponentRuntimeMBean objects.

### resume

    public void resume(int type)
                throws weblogic.utils.ErrorCollectionException

  Resumes the specified type of activity for all RAs.

  Parameters:
    `type` - int The type of activity(ies), @see weblogic.connector.extensions.Suspendable
  Throws:
    `weblogic.utils.ErrorCollectionException` - A collection of exceptions if something goes wrong

### resume

    public void resume(int type,
                       Properties props)
                throws weblogic.utils.ErrorCollectionException

  Resumes the specified type of activity for all RAs

  Parameters:
    `type` - int The type of activity(ies), @see weblogic.connector.extensions.Suspendable
    `props` - Properties to pass on to the RA or null
  Throws:
    `weblogic.utils.ErrorCollectionException` - A collection of exceptions if something goes wrong

### resumeAll

    public void resumeAll()
                   throws weblogic.utils.ErrorCollectionException

  Resumes all activities of all resource adapters.

  Throws:
    `weblogic.utils.ErrorCollectionException` - A collection of exceptions if something goes wrong

### resumeAll

    public void resumeAll(Properties props)
                   throws weblogic.utils.ErrorCollectionException

  Resumes all activities of all resource adapters.

  Parameters:
    `props` - Properties to be passed to the resource adapters or null
  Throws:
    `weblogic.utils.ErrorCollectionException` - A collection of exceptions if something goes wrong

### suspend

    public void suspend(int type)
                 throws weblogic.utils.ErrorCollectionException

  Suspends the specified type of activity for all RAs.

  Parameters:
    `type` - int The type of activity(ies), @see weblogic.connector.extensions.Suspendable
  Throws:
    `weblogic.utils.ErrorCollectionException` - A collection of exceptions if something goes wrong

### suspend

    public void suspend(int type,
                        Properties props)
                 throws weblogic.utils.ErrorCollectionException

  Suspends the specified type of activity for all RAs

  Parameters:
    `type` - int The type of activity(ies), @see weblogic.connector.extensions.Suspendable
    `props` - Properties to pass on to the RA or null
  Throws:
    `weblogic.utils.ErrorCollectionException` - A collection of exceptions if something goes wrong

### suspendAll

    public void suspendAll()
                    throws weblogic.utils.ErrorCollectionException

  Suspends all activities of all resource adapters.

  Throws:
    `weblogic.utils.ErrorCollectionException` - A collection of exceptions if something goes wrong

### suspendAll

    public void suspendAll(Properties props)
                    throws weblogic.utils.ErrorCollectionException

  Suspends all activities of all resource adapters.

  Parameters:
    `props` - Properties to be passed to the resource adapters or null
  Throws:
    `weblogic.utils.ErrorCollectionException` - A collection of exceptions if something goes wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD